This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 656441

Summary: Missing library path entry causes LD_PRELOAD error
Product: [Community] 389 Reporter: Gerhardus Geldenhuis <gerhardus.geldenhuis>
Component: AdminAssignee: Nathan Kinder <nkinder>
Status: CLOSED CURRENTRELEASE QA Contact: Viktor Ashirov <vashirov>
Severity: medium Docs Contact:
Priority: low    
Version: 1.2.7CC: amsharma, rmeggins
Target Milestone: ---Keywords: VerifiedUpstream
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-07 11:45:05 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 576869    

Description Gerhardus Geldenhuis 2010-11-23 13:26:37 EST
Description of problem:
When installing 389-ds with the following command 
yum install 389-ds -y --enablerepo=epel-testing

on a fully updated Centos 5.5 box
 2.6.18-194.26.1.el5 #1 SMP Tue Nov 9 12:54:20 EST 2010 x86_64 x86_64 x86_64 GNU/Linux

You get the following error when starting dirsrv-admin:
service dirsrv-admin start Starting dirsrv-admin: ERROR: ld.so: object '/libldap60.so' from LD_PRELOAD cannot be preloaded: ignored.

When you run dirsrv-admin status it will show as running though.

Version-Release number of selected component (if applicable):
Latest release available from Centos Testing repo


How reproducible:
Very consistant



Fix:
diff start-ds-admin start-ds-admin.orig 46c46 
< LD_PRELOAD="/usr/lib64/libldap60.so" --- 
> LD_PRELOAD=" /libldap60.so"
Comment 1 Rich Megginson 2010-11-23 17:02:54 EST
commit aaa630292d2e07e145d901c4b2caae687265eab4
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Tue Nov 23 14:33:55 2010 -0700
    Reviewed by: one liner
    Branch: master
    Fix Description: On some platforms pkg-config --libs will return without
    a -L/path - so try --variable=libdir too - if that doesn't work, just
    assume the mozldap libs are installed in $libdir
    Platforms tested: RHEL5 x86_64
    Flag Day: no
    Doc impact: no